AdfUITable.$SELECTION_LISTENER_KEY$ = "afrSelListener";
$goog$exportSymbol$$("AdfUITable.SELECTION_LISTENER_KEY", AdfUITable.$SELECTION_LISTENER_KEY$);
AdfUITable.prototype.$findComponent$ = function $AdfUITable$$$findComponent$$($scopedId$$3$$, $rowKey$$162$$) {
  return void 0 != $rowKey$$162$$ ? ($scopedId$$3$$ = this.$getClientId$() + ":" + $rowKey$$162$$ + ":" + $scopedId$$3$$, $AdfPage$$.$PAGE$.$findComponent$($scopedId$$3$$)) : AdfUITable.$superclass$.$findComponent$.call(this, $scopedId$$3$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITable.prototype.findComponent", {$findComponent$:AdfUITable.prototype.$findComponent$});
AdfUITable.prototype.Init = function $AdfUITable$$Init$($componentType$$14$$, $clientId$$545$$, $properties$$73$$, $children$$81$$, $facets$$) {
  AdfUITable.$superclass$.Init.call(this, $componentType$$14$$, $clientId$$545$$, $properties$$73$$, $children$$81$$, $facets$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITable.prototype.Init", {Init:AdfUITable.prototype.Init});
AdfUITable.prototype.$GetChanges$ = function $AdfUITable$$$GetChanges$$() {
  var $changes$$9$$ = AdfUITable.$superclass$.$GetChanges$.call(this), $disclosed$$21_selectionState$$2$$ = $changes$$9$$[AdfUITable.DISCLOSED_ROW_KEYS];
  if ($disclosed$$21_selectionState$$2$$) {
    var $state$$108$$ = [], $i$$801_positionIndex$$1$$ = 0, $key$$123$$;
    for ($key$$123$$ in $disclosed$$21_selectionState$$2$$) {
      $state$$108$$[$i$$801_positionIndex$$1$$++] = $key$$123$$;
    }
    $changes$$9$$[AdfUITable.DISCLOSED_ROW_KEYS] = $state$$108$$.join("$afr$");
  }
  if ($disclosed$$21_selectionState$$2$$ = $changes$$9$$[AdfUITable.SELECTED_ROW_KEYS]) {
    var $state$$108$$ = [], $rowKey$$163$$;
    for ($rowKey$$163$$ in $disclosed$$21_selectionState$$2$$) {
      $i$$801_positionIndex$$1$$ = $disclosed$$21_selectionState$$2$$[$rowKey$$163$$] - 1, $state$$108$$[$i$$801_positionIndex$$1$$] = $rowKey$$163$$;
    }
    $changes$$9$$[AdfUITable.SELECTED_ROW_KEYS] = $state$$108$$.join("$afr$");
  }
  return $changes$$9$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITable.prototype.GetChanges", {$GetChanges$:AdfUITable.prototype.$GetChanges$});
AdfUITable.prototype.$DeliverDerivedPropertyEvents$ = function $AdfUITable$$$DeliverDerivedPropertyEvents$$($peer$$247_propName$$38$$, $oldValue$$123_selectionEvent$$1$$, $newValue$$197$$) {
  $peer$$247_propName$$38$$ == AdfUITable.SELECTED_ROW_KEYS && ($peer$$247_propName$$38$$ = this.$getPeer$()) && $peer$$247_propName$$38$$.$canDeliverSelectionEvent$ && $peer$$247_propName$$38$$.$canDeliverSelectionEvent$() && ($oldValue$$123_selectionEvent$$1$$ = $AdfRowKeySetChangeEvent$$.$createRowKeySetChangeEvent$(this, $AdfSelectionEvent$$.$SELECTION_EVENT_TYPE$, $oldValue$$123_selectionEvent$$1$$, $newValue$$197$$)) && $oldValue$$123_selectionEvent$$1$$.$queue$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITable.prototype.DeliverDerivedPropertyEvents", {$DeliverDerivedPropertyEvents$:AdfUITable.prototype.$DeliverDerivedPropertyEvents$});
AdfUITable.prototype.$setDisclosedRowKey$ = function $AdfUITable$$$setDisclosedRowKey$$($rowKey$$164$$, $disclosed$$22$$) {
  $AdfAssert$$.$assertString$($rowKey$$164$$);
  $AdfAssert$$.$assertBoolean$($disclosed$$22$$);
  if ($disclosed$$22$$ == this.$isDisclosed$($rowKey$$164$$)) {
    return !1;
  }
  var $newState$$4_peer$$248$$ = this.$getPeer$();
  if ($newState$$4_peer$$248$$ && $newState$$4_peer$$248$$.$isDisclosureFetchPending$()) {
    return !1;
  }
  var $disclosureEvent$$7_oldState$$6$$ = this.getDisclosedRowKeys(), $newState$$4_peer$$248$$ = {};
  $AdfCollections$$.$copyInto$($newState$$4_peer$$248$$, $disclosureEvent$$7_oldState$$6$$);
  $disclosed$$22$$ ? $newState$$4_peer$$248$$[$rowKey$$164$$] = !0 : delete $newState$$4_peer$$248$$[$rowKey$$164$$];
  ($disclosureEvent$$7_oldState$$6$$ = $AdfRowKeySetChangeEvent$$.$createRowKeySetChangeEvent$(this, $AdfRowDisclosureEvent$$.$ROW_DISCLOSURE_EVENT_TYPE$, $disclosureEvent$$7_oldState$$6$$, $newState$$4_peer$$248$$)) && $disclosureEvent$$7_oldState$$6$$.$queue$();
  if (!$disclosureEvent$$7_oldState$$6$$ || $disclosureEvent$$7_oldState$$6$$.$isCanceled$()) {
    return !1;
  }
  this.setDisclosedRowKeys($newState$$4_peer$$248$$);
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITable.prototype.setDisclosedRowKey", {$setDisclosedRowKey$:AdfUITable.prototype.$setDisclosedRowKey$});
AdfUITable.prototype.$isDisclosed$ = function $AdfUITable$$$isDisclosed$$($rowKey$$165$$) {
  var $state$$109$$ = this.getDisclosedRowKeys();
  return $state$$109$$ ? $state$$109$$[$rowKey$$165$$] : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITable.prototype.isDisclosed", {$isDisclosed$:AdfUITable.prototype.$isDisclosed$});
AdfUITable.prototype.$getSelectedColumns$ = function $AdfUITable$$$getSelectedColumns$$() {
  var $colIds$$4$$ = [], $cols$$7_peer$$249$$ = this.$getPeer$();
  if ($cols$$7_peer$$249$$) {
    for (var $cols$$7_peer$$249$$ = $cols$$7_peer$$249$$.$__getSelectedColumns$(), $i$$802$$ = 0;$i$$802$$ < $cols$$7_peer$$249$$.length;$i$$802$$++) {
      $colIds$$4$$.push($cols$$7_peer$$249$$[$i$$802$$].$getClientId$());
    }
  }
  return $colIds$$4$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITable.prototype.getSelectedColumns", {$getSelectedColumns$:AdfUITable.prototype.$getSelectedColumns$});
